SystemOrganization addCategory: #'Rizel-Roassal-Views-Tests'!

TestCase subclass: #RZBoxTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Roassal-Views-Tests'!

!RZBoxTest methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalA 10/6/2012 22:56'!
testBasic
	"
	self new testBasic
	"
	|builder window|
	builder := ROMondrianViewBuilder new.
	builder shape: (RZBox new 	deltaX: -1; deltaY: 1; yourself).
	builder					width: 100;
							height: 100;
							color: Color blue.
	builder node: #test.
	window := builder open.
	"window delete."! !

TestCase subclass: #RzVisualizer1DTest
	instanceVariableNames: 'window'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Roassal-Views-Tests'!

!RzVisualizer1DTest commentStamp: '<historical>' prior: 0!
A RzVisualizer1DTest is a test class for testing the behavior of RzVisualizer1D!

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:04'!
tearDown 
	""
	window ifNotNilDo: [ :w | w delete].! !

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/6/2012 22:23'!
testBarWidth
	"
	self new testBarWidth
	"
	window := RzVisualizer1D new 
			values: #( 10 20 30 40 10);
			barWidth: 20;
			visualize.! !

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/6/2012 22:21'!
testBasic
	"
	self new testBasic
	"
	window := RzVisualizer1D new 
			values: #( 10 20 30 40 10);
			visualize.! !

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/8/2012 18:12'!
testBasic2
	"
	self new testBasic2
	"
	window := RzVisualizer1D new 
			values: #( 10 67 120 1230 1250);
			visualize.! !

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/6/2012 22:23'!
testGap
	"
	self new testGap
	"
	window := RzVisualizer1D new 
			values: #( 10 20 30 40 10);
			gap: 40;
			visualize.! !

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/6/2012 22:23'!
testHeight
	"
	self new testHeight
	"
	window := RzVisualizer1D new 
			values: #( 10 20 30 40 10);
			height: 300;
			visualize.! !

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/6/2012 22:23'!
testLabel
	"
	self new testLabel
	"
	window := RzVisualizer1D new 
			values: #( 10 20 30 40 10);
			label: [ :model | 'x'];
			visualize.! !

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:21'!
testOwner
	"
	self new testPadding
	"
	|viz|
	viz  := RzVisualizer1D owner: 3.
	window := viz
				values: #( 10 20 30 40 10);
				padding: 100;
				visualize.
				
	self assert: (viz owner = 3).! !

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:19'!
testPadding
	"
	self new testPadding
	"
	window := RzVisualizer1D new 
			values: #( 10 20 30 40 10);
			padding: 100;
			visualize.! !

TestCase subclass: #RzVisualizer2DTest
	instanceVariableNames: 'resultSet xs ys window'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Roassal-Views-Tests'!

!RzVisualizer2DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:04'!
tearDown
	window ifNotNilDo: [:w| w delete.]! !

!RzVisualizer2DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/6/2012 22:30'!
testBasic
	"
	self new testBasic
	"
	window := RzVisualizer2D new
						xValues: #(1 2 3);
						yValues: #(1 2 3);
						value: [ :x :y | x+y ];
						visualize.! !

!RzVisualizer2DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:03'!
testColor
	"
	self new testColor
	"
	window := RzVisualizer2D new
						xValues: #(1 2 3);
						yValues: #(1 2 3);
						value: [ :x :y | x//y ];
						color: Color blue;
						visualize.! !

!RzVisualizer2DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 8/10/2012 21:05'!
testColor2
	"
	self new testColor2
	"
	window := RzVisualizer2D new
						xValues: #(1 2 3);
						yValues: #(1 2 0);
						value: [ :x :y | [x / y] on: Error do:[ nil ] ];
						color: Color blue;
						visualize.! !

!RzVisualizer2DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:03'!
testFactor
	"
	self new testFactor
	"
	window := RzVisualizer2D new
						xValues: #(1 2 3);
						yValues: #(1 2 3);
						value: [ :x :y | x//y ];
						factor: 50;
						visualize.! !

!RzVisualizer2DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:02'!
testGap
	"
	self new testGap
	"
	window := RzVisualizer2D new
						xValues: #(1 2 3);
						yValues: #(1 2 3);
						value: [ :x :y | x//y ];
						gap: 50;
						visualize.! !

!RzVisualizer2DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:11'!
testLabels
	"
	self new testLabels
	"
	window := RzVisualizer2D new
						xValues: #(1 2 3);
						yValues: #(1 2 3);
						value: [ :x :y | x//y ];
						padding: 100;
						yLabel:[ :number| 'long long text'];
						xLabel:[ :number| 'text'];
						visualize.! !

!RzVisualizer2DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:00'!
testPadding
	"
	self new testPadding
	"
	window := RzVisualizer2D new
						xValues: #(1 2 3);
						yValues: #(1 2 3);
						value: [ :x :y | x//y ];
						padding: 100;
						yLabel:[ :number| 'long long text'];
						visualize.! !

TestCase subclass: #RzVisualizerCircleTest
	instanceVariableNames: 'window'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Roassal-Views-Tests'!

!RzVisualizerCircleTest methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalA 10/6/2012 23:33'!
tearDown 
	""
	window ifNotNilDo: [ :w | w delete].! !

!RzVisualizerCircleTest methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalA 10/6/2012 23:35'!
testBasic
	"
	self new testBasic
	"
	window := RzVisualizerCircle new
						addElements: (1 to:10);
						visualize.! !

!RzVisualizerCircleTest methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalA 10/6/2012 23:37'!
testBasic2
	"
	self new testBasic2
	"
	window := RzVisualizerCircle new
						addElements: (1 to: 10);
						addElements: (1 to: 100);
						visualize.! !

!RzVisualizerCircleTest methodsFor: 'as yet unclassified' stamp: 'JuanPabloSandovalA 10/7/2012 22:14'!
testBasic3
	"
	self new testBasic3
	"
	|assos|
	assos := OrderedCollection new.
	assos add: (1 -> 4); add: (1 -> 5) ;add: (1 ->6).
	assos add: (2 -> 7); add: (2 -> 8) ;add: (2 ->9).
	assos add: (3 -> 9); add: (3 -> 10).
	
	window := RzVisualizerCircle new
						addElements: (1 to: 3);
						addElements: (4 to: 10);
						associations: assos;
						visualize.! !
